#
# spec file for package spellc (Version 19960917)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         spellc
Version:      19960917
Release:      315
Summary:      A game of duelling wizards
Copyright:    Andrew Plotkin 1993
Group:        Amusements/Games
# BuildRoot: /tmp/abuild
Provides:   spellcast 
#Requires:    
#Conflicts:   
Autoreqprov: on
Source:  spellcast.tar.gz
Patch:   spellcast.dif

%description
This  is  a game concerning the imaginary conflict between
two or more powerful wizards in a  duel  of  sorcery.  The
opponents  perform  magical  gestures  with their hands to
create their supernatural weapons -- spells. Some  are  so
potent as to be able to blind a man, call forth terrifying
creatures, or even kill the unfortunate victim  instantly.
Consequently  each  wizard must rely on his own cunning to
be able to time enough defensive spells to avoid the brunt
of  his adversary's attack, yet force in sufficient offen-
sive spells of his own to crack the magical armour of  his
opponent,  and  kill  the  wizard  outright.

Authors:
--------
    Andrew Plotkin <erkyrath@netcom.com>

SuSE series: fun

%prep
%setup -n spellcast
%patch

%build
rm -rf ${RPM_BUILD_ROOT}
make

%install
DEFAULTDOCDIR=%{_defaultdocdir}/spellcast
DOC="README spelllist.ps"
make install
install -d -m 755 ${DEFAULTDOCDIR}
install -m 644 ${DOC} ${DEFAULTDOCDIR}

%files
%docdir /usr/X11R6/man
%dir %{_defaultdocdir}/spellcast
/usr/games/bin/spellcast
%doc /usr/X11R6/man/man6/spellcast.6.gz
%doc %{_defaultdocdir}/spellcast/spelllist.ps
%doc %{_defaultdocdir}/spellcast/README

%changelog -n spellc
* Mon Apr 09 2001 - ro@suse.de
- fixed group tag
* Mon May 29 2000 - bg@suse.de
- Moved /usr/doc/packages to %%{_defaultdocdir}
* Mon Oct 04 1999 - bg@suse.de
- Initial Release V19960917
